<template>
    <div style="position: relative">
      <b-icon
        @click="backHome"
        class="rounded-circle bg-dark m-3"
        variant="light"
        icon="arrow-left-circle-fill"
        style="font-size: 30px; z-index: 1; position: absolute"
      ></b-icon>

    <div class="all-user-rectangle">
        <b-container>
            <b-row>
                <div
                    class="image" 
                    size="md" 
                    :style="{ 'background-image': `url(${previewImage})` }" 
                >
                </div>
            </b-row>
        </b-container>
        <div class="nametitle row mt-3">
            <p class="name"> <span> {{ user.first_name }} </span> <span> {{ user.last_name }} </span></p>
        </div>
        <hr class="lign">
        <div class="row mx-2 mt-2">
            <div class="user-rectangle">  
                <p class="user-info"> {{ street }} </p>
            </div>
        </div>
        <div class="row mx-2 mt-2">
            <div class="col-4">  
            <div class="postcode-rectangle">  
                <p class="user-city"> {{ postcode }} </p>
            </div>
            </div>

            <div class="col-7">  
            <div class="city-rectangle">  
                <p class="user-city"> {{ city }} </p>
            </div>
            </div>
        </div>
        <div class="row mx-2 mt-2">
            <div class="user-rectangle">  
                <p class="user-info"> {{ country }} </p>
            </div>
        </div>
        <div class="row mx-2 mt-2">
            <div class="user-rectangle">  
                <p class="user-info"> {{ user.email }} </p>
            </div>
        </div>
        <div class="row mx-2 mt-2">
            <div class="user-rectangle">  
                <p class="user-info"> {{ user.phone_number }} </p>
            </div>
        </div>
    </div>
    </div>
</template>

<script>
import router from "@/router";
import Vue from "vue";

export default Vue.extend({
    data: () => ({
        user: {
            first_name: "",
            last_name: "",
            email: "",
            phone_number: "",
        },
        street: "",
        postcode: "",
        city: "",
        country: "",
        previewImage: null,  
    }),
    
    methods: {
        backHome() {
            router.push("/");
        },
        selectImage () {
          this.$refs.fileInput.click()
      },
        pickFile () {
        let input = this.$refs.fileInput
        let file = input.files
        if (file && file[0]) {
          let reader = new FileReader
          reader.onload = e => {
            this.previewImage = e.target.result
          }
          reader.readAsDataURL(file[0])
          this.$emit('input', file[0])
        }
      },  
  },
    mounted() {
        if (localStorage.user) {
            this.user = JSON.parse(localStorage.user);
            const fullAddress = this.user.address.split(';')
            this.street = fullAddress[0]
            this.postcode = fullAddress[1]
            this.city = fullAddress[2]
            this.country = fullAddress[3]
        }
    }
});

</script>

<style scoped>

.all-user-rectangle {
    background-color: #FFF1D8;
	width:350px;
	height:550px;
    border-radius: 20px;
    margin-top: 10px;
    margin-left: 15px;
    margin: auto;
}

.lign{
    width:70%;
    color:black;
    background-color:black;
    height:2px;
    border-radius: 10px;
    margin: auto;
}

.image{
    background-color: #A9A9A9;
    border-radius: 100%;
    width:100px;
	height:100px;
    margin: auto;
    margin-top: 10px;
    background-size: cover;
    background-position: center center;
}

.nametitle{
    margin-left: 20%;
}

.name{
    font-size: 20px;
    color: #000000;
}

.user-info{
    font-size: 16px;
    color: #000000;
    margin-top: 5%;
}

.user-city{
    font-size: 16px;
    color: #000000;
    margin-top: 0%;
}

.user-rectangle {
    background-color: #FFFFFF;
	width:320px;
	height:50px;
    border-radius: 20px;
    margin: auto;
    margin-top: 10px;
}

.postcode-rectangle {
    background-color: #FFFFFF;
	width:100px;
	height:50px;
    border-radius: 20px;
}
.city-rectangle {
    background-color: #FFFFFF;
	width:200px;
	height:50px;
    border-radius: 20px;
}
</style>